#ifndef _INFOCLASS_H
#define _INFOCLASS_H

#include <gtk/gtk.h>
#include "mp3info.h"


/*
	structure used to hold all the data
	specific to one side of the program.
	
	graph is container for pixmap
	selected_oldfile is current dir
	fvbox is frame for table2
	fvbox2 is frame for table3
	table2 is bitrate data table
	table3 is file summary table
	set identifies if we need to delete
	zz identifies place in graph 
*/
class               Info
{
public:
  Info ():mp3infoa (NULL),  graph (NULL),
    selected_oldfile (NULL), fvbox (NULL), fvbox2 (NULL), table2 (NULL),
    table3 (NULL), set (0), zz (0) {;}

  struct statistic   *mp3infoa;
  GtkWidget          *graph;
  char               *selected_oldfile;
  GtkWidget          *fvbox;
  GtkWidget          *fvbox2;
  GtkWidget          *table2;
  GtkWidget          *table3;
  int                 set;
  int                 zz;
};

#endif
