#include <string>
#include "info.h"

/* this function is actually faster than the old one with gcc 3.0.4 */
int
place (int rate)
{
  if (rate > 426)
    return 18;
  if (rate > 394)
    return 17;
  if (rate > 362)
    return 16;
  if (rate > 330)
    return 15;
  if (rate > 298)
    return 14;
  if (rate > 266)
    return 13;
  if (rate > 234)
    return 12;
  if (rate > 210)
    return 11;
  if (rate > 175)
    return 10;
  if (rate > 140)
    return 9;
  if (rate > 120)
    return 8;
  if (rate > 105)
    return 7;
  if (rate > 87)
    return 6;
  if (rate > 70)
    return 5;
  if (rate > 60)
    return 4;
  if (rate > 53)
    return 3;
  if (rate > 45)
    return 2;
  if (rate > 35)
    return 1;
  return 0;
}

/*
	Calls the backend for file data 
*/
int
get_file_data (statistic * mp3info2)
{
  mp3info2->average_bitrate = 0;
  mp3info2->time_seconds = 0;
  mp3info2->total_bitrate = 0;
  mp3info2->total_frames = 0;
  for (int x = 0; x < 19; x++)
    mp3info2->amnt_bitrates[x] = 0;
#ifdef VORBIS
  if (mp3info2->name[strlen (mp3info2->name) - 3] == 'o'
      || mp3info2->name[strlen (mp3info2->name) - 3] == 'O') {
    oggstat (mp3info2);
    return 0;
  }
  if (mp3info2->name[strlen (mp3info2->name) - 1] == '3') {
    mp3stat (mp3info2);
    return 0;
  }
#else
  if (mp3info2->name[strlen (mp3info2->name) - 1] == '3') {
    mp3stat (mp3info2);
    return 0;
  }
#endif
  return 1;
}
